extends Node3D

func _input(event):
	if !event.is_action_type():
		return
	if event.is_pressed():
		SignalManager.input_action_pressed.emit(event)
	elif event.is_released():
		SignalManager.input_action_released.emit(event)
	var input_dir = Input.get_vector("move_left", "move_right", "move_up", "move_down")
	SignalManager.input_action_move.emit(input_dir)
